<template>
  <div class="product" :id="id">
    <img
      class="image-fluid"
      :src="require(`@/assets/images/${image}`)"
      alt="preview product"
    />
    <h4>{{ name }}</h4>
    <h5>{{ price }}</h5>
    <button class="btn-add" @click="addToCart">Add to Cart</button>
  </div>
</template>
<script>
export default {
  props: {
    id: {
      type: Number,
      required: true
    },
    name: {
      type: String,
      required: true
    },
    price: {
      type: Number,
      required: true
    },
    image: {
      type: String,
      required: true
    }
  },
  name: 'product',
  methods: {
    addToCart: function() {
      const { id, name, price, image } = this
      this.$store.dispatch('addToCart', { id, name, price, image })
    }
  }
}
</script>
<style lang="scss" scoped>
h4,
h5 {
  margin: 10px 0px;
}
.product {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border: 1px solid;
  margin: 10px 15px;
  padding: 10px;
}
.image-fluid {
  max-width: 200px;
  width: 100%;
}
.btn-add {
  background: #ffffff;
  padding: 10px 15px;
  border: 1px solid;
  border-radius: 10px;
  cursor: pointer;
  &:hover {
    background: #e0dfdf;
  }
}
</style>
